- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDParagraphListElement Class Referenceabstract
Inheritance diagram for libvisio::VSDParagraphListElement:

## Public Member Functions
| VSDParagraphListElement (unsigned id, unsigned level)
virtual | ~VSDParagraphListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDParagraphListElement * | clone ()=0
virtual unsigned | getCharCount () const =0
virtual void | setCharCount (unsigned charCount)=0

## Public Attributes
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDParagraphListElement::VSDParagraphListElement | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inline

virtual libvisio::VSDParagraphListElement::~VSDParagraphListElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDParagraphListElement* libvisio::VSDParagraphListElement::clone | ( |  | ) |
| pure virtual

Implemented in libvisio::VSDParaIX.

virtual unsigned libvisio::VSDParagraphListElement::getCharCount | ( |  | ) | const
| pure virtual

Implemented in libvisio::VSDParaIX.

virtual void libvisio::VSDParagraphListElement::handle | ( | VSDCollector * | collector | ) | const
| pure virtual

Implemented in libvisio::VSDParaIX.

virtual void libvisio::VSDParagraphListElement::setCharCount | ( | unsigned | charCount | ) |
| pure virtual

Implemented in libvisio::VSDParaIX.

## Member Data Documentation

unsigned libvisio::VSDParagraphListElement::m_id

Referenced by libvisio::VSDParaIX::handle().

unsigned libvisio::VSDParagraphListElement::m_level

Referenced by libvisio::VSDParaIX::handle().

The documentation for this class was generated from the following file:

- VSDParagraphList.cpp